Skip to main content
GET
/
gst
/
compliance
/
e-way-bill
/
transporter
/
bills
Get E-Way Bills by date and state
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/e-way-bill/transporter/bills \
  --header 'Authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
{
  "code": 200,
  "data": {
    "data": [
      {
        "delPinCode": 560090,
        "delPlace": "Beml Nagar",
        "delStateCode": 29,
        "docDate": "01/05/2024",
        "docNo": "7001-11",
        "ewbDate": "03/05/2024 12:27:00 PM",
        "ewbNo": 221010077190,
        "extendedTimes": 0,
        "genGstin": "27AAACQ3770E004",
        "rejectStatus": "N",
        "status": "ACT",
        "validUpto": "08/05/2024 11:59:00 PM"
      }
    ],
    "status": "1"
  },
  "timestamp": 1763446641000,
  "transaction_id": "7922b130-9e68-4949-af57-852280503a04"
}

Headers

Authorization
string
required

E-Way Bill access token

x-api-key
string
required

API key for identification

x-api-version
string
default:1.0.0

API version

Query Parameters

generated_date
string

E-Way Bill generated date

Example:

"19/09/2024"

generator_state_code
string
required

State code of the E-Way Bill generator

Example:

"29"

assigned_date
string

E-Way Bill assigned date

Example:

"19/09/2024"

Response

200 - application/json

200 EWBs fetched / 336 Could not retrieve data

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"7922b130-9e68-4949-af57-852280503a04"